BigBrotherBot

Support Forums => General Usage Support => Topic started by: claycatlees on March 15, 2017, 03:52:04 PM

Title: trouble starting B3...
Post by: claycatlees on March 15, 2017, 03:52:04 PM
Hey everyone! This isn't my first time using B3 but I couldn't for the life of me figure out what the problem is. I know I should be looking at the log to find out what the problem is but switching to the source deployment (I used to use the compiled version), it didn't seem to generate one!

I get this output from my cmd...

Traceback (most recent call last):
  File "./b3_run.py", line 36, in <module>
    import b3.run
  File "C:\cod4servers\tdm1\tdmbot\b3\__init__.py", line 369, in <module>
    from b3.update import checkUpdate
  File "C:\cod4servers\tdm1\tdmbot\b3\update.py", line 358, in <module>
    from b3.parser import StubParser
  File "C:\cod4servers\tdm1\tdmbot\b3\parser.py", line 204, in <module>
    import dateutil.tz
ImportError: No module named dateutil.tz

Could anyone point me in the right direction? Much appreciated.. <3
Title: Re: trouble starting B3...
Post by: claycatlees on March 15, 2017, 04:03:52 PM
stupid me! Just learned that this dateutil error isn't a B3 thing, but a python thing. Everyone should learn python to help themselves! 

Anyway, posting the solution anyway for those who might need it... 

C:\Python27\python.exe -m pip install python-dateutil 

I'm on Windows Server, so in my case I had to specify where my python directory was in order to run it. 
Title: Re: trouble starting B3...
Post by: 82ndAB.Bravo17 on March 15, 2017, 08:16:24 PM
Glad you sorted it out!

Source should still generate a log, but this error stops B3 before it gets to open the file.
Title: Re: trouble starting B3...
Post by: claycatlees on March 21, 2017, 11:10:32 AM
I remember reading somewhere about other python dependencies/requirements for B3, much like dateutil above, but can't seem to recall where. Would you be able to point me to a link where I can find such updated documentation on the most recent release of B3? or is the wiki being updated regularly? 

I'd just like to read up on it for future reference... thanks again. 
Title: Re: trouble starting B3...
Post by: 82ndAB.Bravo17 on March 21, 2017, 02:08:42 PM
The dependencies are all in requirements.txt they are:

# Python modules needed to run the B3
pymysql==0.6.6
python-dateutil==2.4.2
feedparser==5.1.3
requests==2.7.0

Title: Re: trouble starting B3...
Post by: Nattapong7 on March 25, 2017, 09:38:53 AM
I remember reading somewhere about other python dependencies:)